<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Model extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('models', function (Blueprint $table) {
            $table->id();
            $table->string('image', 200)->nullable();
            $table->string('video', 200)->nullable();
            $table->bigInteger('category_id')->unsigned()->nullable();




            $table->foreign('category_id')->references('id')->on('categories')->onDelete('cascade')->onUpdate('cascade');  


            $table->index(['category_id']);

            $table->timestamps();
            $table->softDeletes();

            // For transaction and join constrians
            $table->engine = 'InnoDB';  
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('models');
    }
}
